"use strict";

showClock();

setInterval("showClock()", 1000); 


/*
   New Perspectives on HTML5 and CSS3, 7th Edition
   Tutorial 9
   Review Assignment

   Event Timer
   Author:Baian Khanjar 
   Date: 04/02/2019  

*/
function showClock() {

    var thisDay = new Date(); //today date

    var localDate = thisDay.toLocaleDateString(); //get the local date

    var localTime = thisDay.toLocaleTimeString(); //get the local time

    document.getElementById("currentTime").innerHTML = localDate + "<br />" + localTime; //show the current time
var j4Date = nextJuly4(thisDay); //set the july 4 date
  document.getElementById("currentTime").innerHTML="<span>"+localDate+"</span> <span>"+localTime+"</span>";

    j4Date.setHours(21);
    var days = (j4Date - thisDay)/(1000*60*60*24); //calculat the days left

    var hrs = (days - Math.floor(days))*24; //calculte the hours

    var mins= (hrs - Math.floor(hrs))*60; //calculat the minute

    var secs = (mins - Math.floor(mins))*60; //calculate the second

    //show the left days, hours, minutes and seconds

    document.getElementById("dLeft").textContent = Math.floor(days);

    document.getElementById("hLeft").textContent = Math.floor(hrs);

    document.getElementById("mLeft").textContent = Math.floor(mins);

    document.getElementById("sLeft").textContent = Math.floor(secs);

    

}


function nextJuly4(currentDate) {
   var cYear = currentDate.getFullYear();
   var jDate = new Date("July 4, 2018");
   jDate.setFullYear(cYear);
   if ((jDate - currentDate) < 0) jDate.setFullYear(cYear + 1);
   return jDate;
}
